clang 10.0.0git

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
clang::APValue::LV Struct Reference
Inheritance diagram for clang::APValue::LV:
[legend]
Collaboration diagram for clang::APValue::LV:
[legend]

## Public Member Functions
| LV ()
| ~LV ()
void | resizePath (unsigned Length)
bool | hasPath () const
bool | hasPathPtr () const
LValuePathEntry * | getPath ()
const LValuePathEntry * | getPath () const

## Public Attributes
union {
LValuePathEntry Path [InlinePathSpace]
LValuePathEntry * PathPtr
}; |
| Path - The sequence of base classes, fields and array indices to follow to walk from Base to the subobject. More...

## Static Public Attributes
static const unsigned | InlinePathSpace

## Detailed Description

Definition at line 146 of file APValue.cpp.

## Constructor & Destructor Documentation

## ◆ LV()

clang::APValue::LV::LV | ( |  | ) |
| inline

Definition at line 158 of file APValue.cpp.

## ◆ ~LV()

clang::APValue::LV::~LV | ( |  | ) |
| inline

Definition at line 159 of file APValue.cpp.

## Member Function Documentation

## ◆ getPath() [1/2]

LValuePathEntry* clang::APValue::LV::getPath | ( |  | ) |
| inline

Definition at line 174 of file APValue.cpp.

Referenced by clang::APValue::getLValuePath(), and clang::APValue::setLValue().

## ◆ getPath() [2/2]

const LValuePathEntry* clang::APValue::LV::getPath | ( |  | ) | const
| inline

Definition at line 175 of file APValue.cpp.

## ◆ hasPath()

bool clang::APValue::LV::hasPath | ( |  | ) | const
| inline

Definition at line 171 of file APValue.cpp.

## ◆ hasPathPtr()

bool clang::APValue::LV::hasPathPtr | ( |  | ) | const
| inline

Definition at line 172 of file APValue.cpp.

## ◆ resizePath()

void clang::APValue::LV::resizePath | ( | unsigned | Length | ) |
| inline

Definition at line 161 of file APValue.cpp.

Referenced by clang::APValue::setLValue().

## Member Data Documentation

## ◆ @261

union { ... }

Path - The sequence of base classes, fields and array indices to follow to walk from Base to the subobject.

When performing GCC-style folding, there may not be such a path.

## ◆ InlinePathSpace

const unsigned clang::APValue::LV::InlinePathSpace
| static

Initial value:
=
(DataSize - sizeof(LVBase)) / sizeof(LValuePathEntry)

Definition at line 147 of file APValue.cpp.

## ◆ Path

LValuePathEntry clang::APValue::LV::Path[InlinePathSpace]

Definition at line 154 of file APValue.cpp.

## ◆ PathPtr

LValuePathEntry* clang::APValue::LV::PathPtr

Definition at line 155 of file APValue.cpp.

The documentation for this struct was generated from the following file:

- lib/AST/APValue.cpp